package com.qmth.paper.library.business.bean.params;

import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

/**
 * @Description: 客户端登录
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/4/23
 */
public class ClientLoginParam {

    @ApiModelProperty(value = "登录名")
//    @NotBlank(message = "请输入登录名")
    @Length(message = "登录名不能超过{max}个字符", max = 50)
    private String loginName;

    @ApiModelProperty(value = "密码")
//    @NotBlank(message = "请输入密码")
    @Length(message = "密码不能少于{min}位", min = 6)
    @Length(message = "密码不能超过{max}位", max = 30)
    private String password;

    @ApiModelProperty(value = "学校code")
    private String schoolCode;

    @ApiModelProperty(value = "登录类型")
    private String type;

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getSchoolCode() {
        return schoolCode;
    }

    public void setSchoolCode(String schoolCode) {
        this.schoolCode = schoolCode;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
